# CocoaSubdriver Class Reference

## Public Member Functions
virtual void | Draw (bool force_update=false)=0
virtual void | MakeDirty (int left, int top, int width, int height)=0
virtual void | UpdatePalette (uint first_color, uint num_colors)=0
virtual uint | ListModes (OTTD_Point *modes, uint max_modes)=0
virtual bool | ChangeResolution (int w, int h)=0
virtual bool | IsFullscreen ()=0
virtual int | GetWidth ()=0
virtual int | GetHeight ()=0
virtual void * | GetPixelBuffer ()=0
virtual CGPoint | PrivateLocalToCG (NSPoint *p)=0
virtual NSPoint | GetMouseLocation (NSEvent *event)=0
virtual bool | MouseIsInsideView (NSPoint *pt)=0
virtual bool | IsActive ()=0

## Detailed Description

Definition at line 46 of file cocoa_v.h.

The documentation for this class was generated from the following file:

- src/video/cocoa/cocoa_v.h